com.ryuuji.api

## Class ListasService

- java.lang.Object
- - com.ryuuji.api.ListasService

    public class ListasService
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ListasService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String[][]` `listaActividades(orm.Asignatura asignatura)`
`java.lang.String[][]` `listaAnotacionesPorEstudiante(orm.Estudiante estudiante)`
`java.lang.String[][]` `listaApoderados()`
`java.lang.String[][]` `listaAsignaturas(orm.Profesor profesor)`
`java.lang.String[][]` `listaAsignaturasConProfesorPorCurso(orm.Curso curso)`
`java.lang.String[]` `listaAsignaturasPorCurso(orm.Curso curso)`
`java.lang.String[][]` `listaAsistenciaPorEstudiante(orm.Estudiante estudiante)`
`java.lang.String[]` `listaCursos()`
`java.lang.String[][]` `listaEstudiantesPorApoderado(orm.Apoderado apoderado)`
`java.lang.String[][]` `listaEstudiantesPorCurso(orm.Curso curso)`
`java.lang.String[][]` `listaNotasPorEstudianteYAsignatura(orm.Estudiante estudiante, orm.Asignatura asignatura)`
`java.lang.String[][]` `listaProfesores()`
`java.lang.String[]` `listaProfesorPorCurso(orm.Curso curso)`
`java.lang.String[]` `listaRutProfesor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListasService

    public ListasService()

### Method Detail

#### listaCursos

    public java.lang.String[] listaCursos()

#### listaActividades

    public java.lang.String[][] listaActividades(orm.Asignatura asignatura)

#### listaRutProfesor

    public java.lang.String[] listaRutProfesor()

#### listaProfesorPorCurso

    public java.lang.String[] listaProfesorPorCurso(orm.Curso curso)

#### listaProfesores

    public java.lang.String[][] listaProfesores()

#### listaEstudiantesPorCurso

    public java.lang.String[][] listaEstudiantesPorCurso(orm.Curso curso)

#### listaEstudiantesPorApoderado

    public java.lang.String[][] listaEstudiantesPorApoderado(orm.Apoderado apoderado)

#### listaApoderados

    public java.lang.String[][] listaApoderados()

#### listaAnotacionesPorEstudiante

    public java.lang.String[][] listaAnotacionesPorEstudiante(orm.Estudiante estudiante)

#### listaAsistenciaPorEstudiante

    public java.lang.String[][] listaAsistenciaPorEstudiante(orm.Estudiante estudiante)

#### listaNotasPorEstudianteYAsignatura

    public java.lang.String[][] listaNotasPorEstudianteYAsignatura(orm.Estudiante estudiante,
                                                                   orm.Asignatura asignatura)

#### listaAsignaturasPorCurso

    public java.lang.String[] listaAsignaturasPorCurso(orm.Curso curso)

#### listaAsignaturasConProfesorPorCurso

    public java.lang.String[][] listaAsignaturasConProfesorPorCurso(orm.Curso curso)

#### listaAsignaturas

    public java.lang.String[][] listaAsignaturas(orm.Profesor profesor)